IFCONFIG(8)

NAME
ifconfig - configure a TCP/IP device

SYNOPSIS
ifconfig [-I ip-device] [-h ipaddr] [-n netmask] [-m mtu] [-iva]

DESCRIPTION
Ifconfig initializes a TCP/IP device setting the IP address and/or netmask. It will report the address and netmask set. This command may be used if the system has not been configured properly yet. It is only used at boot time to set a fixed address for a system without a physical ethernet. Normally the inet task will find it out by itself from the RARP server.

OPTIONS

-h  The decimal TCP/IP address to set.

-n  The netmask to set.

-m  The mtu to set. (Minix-vmd only.)

-i  Don't set the IP address or netmask if already set. This way ifconfig cannot interfere if the numbers have been found out by RARP.

-v  Report IP address and netmask. This is the default action if there are no other options.

-a  Report the IP addresses and netmasks of all configured interfaces.

SEE ALSO
hostaddr(1), rarpd(8), inet(8), boot(8).

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)